/*
 * @Date: 2024-09-25 11:14:29
 * @LastEditors: shirlwang
 * @LastEditTime: 2025-11-04 08:56:35
 */
import request from '@/utilsRc/request'

// 查询创业需求列表
export function listEntrepreneurshipService(query) {
  return request({
    url: '/demand/personEntrepreneurshipDemandInfo/list',
    method: 'get',
    params: query
  })
}

// 查询创业需求详细
export function getEntrepreneurshipService(ids) {
  return request({
    url: '/demand/personEntrepreneurshipDemandInfo/' + ids,
    method: 'get'
  })
}

// 新增创业需求
export function addEntrepreneurshipService(data) {
  return request({
    url: '/demand/personEntrepreneurshipDemandInfo',
    method: 'post',
    data: data
  })
}

// 修改创业需求
export function updateEntrepreneurshipService(data) {
  return request({
    url: '/demand/personEntrepreneurshipDemandInfo',
    method: 'put',
    data: data
  })
}

// 删除创业需求
export function delEntrepreneurshipService(ids) {
  return request({
    url: '/manage/personDemand/' + ids,
    method: 'delete'
  })
}

// 个人援助需求办结
export function finishEntrepreneurshipService(data) {
  return request({
    url: '/demand/personEntrepreneurshipDemandInfo/entrepreneurshipDone',
    method: 'post',
    data: data
  })
}

